#include <iostream>
#include <vector>
#include <string>

using namespace std;

int main() {
    string s;
    cin>>s;
    reverse(s.begin(), s.end());
    for (int i=0; i<s.size(); i++) {
        if (s[i]=='5'){
            s[i]='2';
        }else if (s[i]=='2'){
            s[i]='5';
        }
    }
    cout<<stoi(s);
    return 0;
}
